Mint 18 com league of legends dando erro de biblioteca

1. Mint 18 com league of legends dando erro de biblioteca

Bruno
uNclear

(usa Slackware)

Enviado em 06/07/2016 - 13:47h

Quando inicio o lol aparece um bug splat na tela e nao entra no jogo. Ai resolvi depurar a inicializaçao do lol e veio o seguinte erro:

p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: Não é possivel abrir arquivo de objetos compartilhado: Arquivo ou dirp11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: Não é possivel abrir arquivo de objetos compartilhado: err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.

Tentei instalar o gnome-keyring 32bit mais agr qd inicio o lol so fica com a logo dele na tela e n inicializa nem da bug splat, alguem poderia me ajudar? Obrigado


  


2. Como instalar league of legends no linux

kin
kinmaster3

(usa Linux Mint)

Enviado em 28/09/2017 - 15:51h

Para resolver os erros que aparecem no terminal, instale os seguintes arquivos:
sudo apt-get install p11-kit:i386 libp11-kit-gnome-keyring:i386 


Caso tenha problemas em instalar bibliotecas 32 bits, tente o seguinte tutorial:
http://www.diolinux.com.br/2014/08/programas-32-bits-ubuntu-1404-64-bits.html

você também pode tentar seguir o tutorial abaixo caso o league não funcione:
http://www.edivaldobrito.com.br/como-instalar-o-jogo-league-legends-usando-o-playonlinux/


Por experiência própria, meu League também não funcionou quando instalei. Então Desativei o Timestamps do kernel (Orientação do playonlinux):
echo 0 > /proc/sys/net/ipv4/tcp_timestamps 


Reinicie o computador e abri o League pelo terminal para ter certeza que nenhum outro problema iria aparecer:
/usr/share/playonlinux/playonlinux --run "League of Legends" %F 


Infelizmente o League se atualizará até instalar o novo cliente. Hoje, dia 28 de setembro de 2017, a instalação do PlayOnlinux não consegue executar o cliente novo de forma automática, então faça os seguintes procedimentos:

Abra o PlayOnLinux
- Selecione League of Legends;
- Vá em Configurações;
- Na janela de Configurações vá em Diversos;
- Na opção "Substituir fuga do mouse" troque na caixinha para : "enable";

Ainda em Configurações;
-Vá na aba Wine;
- Selecione "Configurar o Wine";
- Nas configurações do Wine procure a aba "Bibliotecas;
- No campo "Nova Substituiçao para biblioteca" digite "msvcp140";
- Clique em Adicionar;
- Clique em "Ok" e feche as configurações do Wine

De volta nas configurações do PlayOnLinux:
- Vá em Geral;
- Em "Versão do Wine" clique no sinal de +;
- Procure procure a Versão 2.9 (ou superior caso queira);
- Adicione ela e depois volte nas configurações e selecione a nova versão como padrão;
- Feche as configurações e tente rodar o LOL novamente.

O tutorial acima foi tirado de:
https://boards.br.leagueoflegends.com/pt/c/ajuda-suporte-e-bugs/E0JjulrL-tutorial-dica-instalar-o-le...












Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts